#Limited Fluctuation Credibility Premium Change as r and p change
p<-0.05
r<-(1:1000)/100000
Z<-sqrt(1221.565*r)/qnorm(1-p/2)
Z<-pmin(Z,1)
plot(r,Z*3506608/3722+(1-Z)*1261,type='l')
pdf("LFCredibilityChangeRPp=0.05.pdf")
plot(r,Z*3506608/3722+(1-Z)*1261,type='l',ylab="Credibility Premium")
dev.off()

p<-0.01
Z<-sqrt(1221.565*r)/qnorm(1-p/2)
Z<-pmin(Z,1)
pdf("LFCredibilityChangeRPp=0.01.pdf")
plot(r,Z*3506608/3722+(1-Z)*1261,type='l',ylab="Credibility Premium")
dev.off()

r<-0.05
p<-(1:1000)/10000
Z<-sqrt(1221.565*r)/qnorm(1-p/2)
Z<-pmin(Z,1)
pdf("LFCredibilityChangeRPr=0.05.pdf")
plot(p,Z*3506608/3722+(1-Z)*1261,type='l',ylab="Credibility Premium")
dev.off()

r<-0.01
Z<-sqrt(1221.565*r)/qnorm(1-p/2)
Z<-pmin(Z,1)
pdf("LFCredibilityChangeRPr=0.01.pdf")
plot(p,Z*3506608/3722+(1-Z)*1261,type='l',ylab="Credibility Premium")
dev.off()

r<-0.005
Z<-sqrt(1221.565*r)/qnorm(1-p/2)
Z<-pmin(Z,1)
pdf("LFCredibilityChangeRPr=0_005.pdf")
plot(p,Z*3506608/3722+(1-Z)*1261,type='l',ylab="Credibility Premium")
dev.off()

r<-0.001
Z<-sqrt(1221.565*r)/qnorm(1-p/2)
Z<-pmin(Z,1)
pdf("LFCredibilityChangeRPr=0_001.pdf")
plot(p,Z*3506608/3722+(1-Z)*1261,type='l',ylab="Credibility Premium")
dev.off()



