data<-c(325,692,1340,1784,1920,2503,3238,4054,5862,6304,6926,8210,9176,9984)

distemp<-(1:14)/14        #Distribution functions of data points under empirical
distpar<-1-(4156615/(4156615+data))^934.25
                    #Distribution functions of data points under parametric

pdf("GComppp.pdf")
plot(distemp,distpar,ylab="F*(x)",xlab="Fn(x)")
abline(0,1)   #diagonal line y=x - if model is good, points should be
              #close to this line.
dev.off()
