#Use simulation to estimate the TVaR of a gamma
#distribution with alpha=13 and theta=1000

U<-runif(1000000)
X<-qgamma(U,13,scale=1000)

VaR<-quantile(X,0.95)
tvar<-mean(X[X>VaR])
#We could do more sophisticated techniques to
#improve the answer, but for large enough sample
#size, this should be sufficient.
